Subject: RE: RFC2518 errata in boolean logic applied to untagged-token-lis t production?

From: "Clemm, Geoff" <[email-masked]>
Date: Mon, 17 Sep 2001 13:42:25 -0400

From: Lisa Dusseault [mailto:[email-masked]]

   Section 9.4.1 states that untagged tokens in a token list are to be OR'ed
   together:

   "If multiple No-tag-list productions are used then one only
      needs to match the state of the resource for the method to be allowed
      to continue."

This section states that multiple No-tag-list productions are ORed
together.  The individual tokens in a single No-tag-list production
are ANDed together.  Unfortunately, you can only infer this from
the examples (2518 really should be fixed to make this explicit!).

   However, section 9.4.3 throws "Not" into the mix and uses the word AND to
   describe the logic combining two untagged tokens:

   "If: (Not <locktoken:write1> <locktoken:write2>)

Only a list can be tagged, not a token.

      When submitted with a request, this If header requires that all
      operand resources must not be locked with locktoken:write1 and must
      be locked with locktoken:write2."

   I assume the last 'and' must be replaced with 'or'?

No, the "and" is correct.  List's are ORed together and tokens
are ANDed together.

Cheers,
Geoff